6.0.0-git
2019-04-24

[#9294] services/download requires the Horde application to have guest access
Summary services/download requires the Horde application to have guest access
Queue Horde Base
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester rsalmon (at) mbpgroup (dot) com
Created 2010-10-07 (3121 days ago)
Due
Updated 2010-10-10 (3118 days ago)
Assigned
Resolved 2010-10-10 (3118 days ago)
Milestone
Patch No

History
2010-10-10 15:57:27 Michael Rubinsky Version ⇒
Queue ⇒ Horde Base
 
2010-10-10 15:57:05 Michael Rubinsky Assigned to Michael Rubinsky
Summary ⇒ services/download requires the Horde application to have guest access
State ⇒ Resolved
 
2010-10-10 15:56:09 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Need to skip authentication checks here, the application should be 
responsible for checking.
If 'horde' itself does not give guest read access, then even if 
another application does grant access,
downloading files would be denied. Fix that.

Bug: 9294

http://git.horde.org/diff.php/horde/services/download/index.php?rt=horde-git&r1=8705304c7e59b3df9da8c63305e5b52d237407c9&r2=c461374ef27ce4b14440fb17b57d47d0e5e34601
2010-10-07 07:51:31 rsalmon (at) mbpgroup (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ can't download attachement
Queue ⇒ Whups
Milestone ⇒
Patch ⇒ No
Reply to this comment
http://bugs.horde.org/ticket/9190

if I click on the download icon (email.eml or screenshot.png), I get 
redirected to a login screen.
I should be able to download the file without being logged in.


Saved Queries